View Issue Details

IDProjectCategoryView StatusLast Update
0006726Talerexchangepublic2021-01-29 10:01
Reporterttn Assigned ToChristian Grothoff  
PrioritynormalSeveritymajorReproducibilityhave not tried
Status resolvedResolutionreopened 
PlatformLinuxOSAlpineOS Version3.13
Product Versiongit (master) 
Target Version0.9Fixed in Version0.9 
Summary0006726: "make check" hangs in test_helper_eddsa
Description"make check" starts out fine, with two PASS tests in src/util/ (test_amount and test_crypto).
However, on the third test, test_helper_eddsa, it hangs w/ zero CPU activity and must be
interrupted (w/ C-c). Interruption deletes the log file, however, so i ran "make check" again
and copied the log file (test_helper_eddsa.log) here.

In hopes it might be a compiler problem, i recompiled all of exchange w/ CFLAGS='-g -O0'
but there was no difference in behavior.
TagsNo tags attached.

Activities

ttn

2021-01-26 21:41

developer  

test_helper_eddsa.log (533 bytes)   
Jan 26 21:22:12-237039 test-helper-eddsa-22608 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
Waiting for helper to start Jan 26 21:22:12-237260 test-helper-eddsa-22608 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
.
OK: Helper ready (6 keys)
Revoking key ....
Revoking key ....
Revoking key ....
100 (sequential) signature operations took 18 ms
test_helper_eddsa.log (533 bytes)   

Christian Grothoff

2021-01-26 21:52

manager   ~0017402

I cannot reproduce this on Debian :-(.

Can you please run

strace -f .libs/test_helper_eddsa

and compress (gzip) and attach the output here?

ttn

2021-01-26 22:13

developer   ~0017403

Log file attached.
log.gz (24,960 bytes)

Christian Grothoff

2021-01-27 09:50

manager   ~0017405

In the strace everything looks normal. I cannot even detect where you had to interrupt the run via CTRL-C. Please do another strace, this time with

$ strace -rf .libs/test_helper_eddsa

and wait at least 30s before manually terminating the test run.

ttn

2021-01-27 11:57

developer   ~0017406

Actually, that run was w/o any C-c interruption! The whole run took less than two seconds.

Here's the updated log (again, no interruption required, run approximately 1.5 seconds).
log-2.gz (31,785 bytes)

Christian Grothoff

2021-01-27 12:42

manager   ~0017408

Well, if it runs and passes while using strace, that's not useful -- then the problem is not in that log :-(.

Can you attach gdb when the test hangs (without strace) to get a stack trace?

ttn

2021-01-27 13:08

developer   ~0017409

It looks like it is not the test itself that is hanging, but the helper program.
Unfortunately, the backtrace is not symbolic.
bt (749 bytes)   
# ps -u ttn
  PID TTY          TIME CMD
 2223 tty1     00:00:00 ash
 2249 tty1     00:00:00 make
 2251 tty1     00:00:00 make
 2255 tty1     00:00:00 sh
 2264 tty1     00:00:00 make
 2299 tty1     00:00:00 sh
 2303 tty1     00:00:00 lt-test_helper_
 2316 tty1     00:00:00 taler-exchange-


# cat -v /proc/2316/cmdline
/usr/local/bin//taler-exchange-secmod-eddsa^@-c^@test_helper_eddsa.conf^@-L^@WARNING^@


# gdb -p 2316
GNU gdb (GDB) 10.1
[...]
Attaching to process 2316
[New LWP 2317]
0x00007f8399eb1352 in ?? () from /lib/ld-musl-x86_64.so.1
(gdb) bt
#0  0x00007f8399eb1352 in ?? () from /lib/ld-musl-x86_64.so.1
#1  0x00007f8399eae66c in ?? () from /lib/ld-musl-x86_64.so.1
#2  0x00007f839964dc84 in ?? ()
#3  0x0000000000000000 in ?? ()
(gdb)
bt (749 bytes)   

Christian Grothoff

2021-01-27 13:20

manager   ~0017410

Eh, based on that, I'd say it hangs in libmusl, which is a non-GNU libc AFAIK. Maybe you can install debug symbols for musl? In any case, might be a bug in libmusl, in which case we might want to report this to https://musl.libc.org/.

ttn

2021-01-27 14:45

developer   ~0017414

I was able to install debug symbols for musl libc, and did another two runs.
In the first run, i was able to obtain two backtraces w/ symbolic info, attached.
In the second run, i manually did "kill -9 HELPER-PID", and so obtained test-suite.log, also attached.
bt2 (5,169 bytes)   
# ps -u ttn
  PID TTY          TIME CMD
 2223 tty1     00:00:00 ash
 2613 tty1     00:00:00 make
 2615 tty1     00:00:00 make
 2619 tty1     00:00:00 sh
 2628 tty1     00:00:00 make
 2629 tty1     00:00:00 sh
 2633 tty1     00:00:00 lt-test_helper_
 2646 tty1     00:00:00 taler-exchange-


# cat -v /proc/2633/cmdline
/home/ttn/build/GNU/T/exchange/src/util/.libs/lt-test_helper_eddsa^@


# cat -v /proc/2646/cmdline
/usr/local/bin//taler-exchange-secmod-eddsa^@-c^@test_helper_eddsa.conf^@-L^@WARNING^@


# gdb -p 2633
Attaching to process 2633
Reading symbols from /home/ttn/build/GNU/T/exchange/src/util/.libs/lt-test_helper_eddsa...
Reading symbols from /home/ttn/build/GNU/T/exchange/src/util/.libs/libtalerutil.so.0...
Reading symbols from /usr/local/lib/libgnunetutil.so.14...
Reading symbols from /lib/ld-musl-x86_64.so.1...
Reading symbols from /usr/lib/debug//lib/ld-musl-x86_64.so.1.debug...
Reading symbols from /usr/lib/libgcrypt.so.20...
(No debugging symbols found in /usr/lib/libgcrypt.so.20)
Reading symbols from /usr/lib/libmicrohttpd.so.12...
(No debugging symbols found in /usr/lib/libmicrohttpd.so.12)
Reading symbols from /usr/local/lib/libintl.so.8...
Reading symbols from /usr/lib/libltdl.so.7...
(No debugging symbols found in /usr/lib/libltdl.so.7)
Reading symbols from /usr/lib/libidn.so.12...
(No debugging symbols found in /usr/lib/libidn.so.12)
Reading symbols from /lib/libz.so.1...
(No debugging symbols found in /lib/libz.so.1)
Reading symbols from /usr/lib/libunistring.so.2...
(No debugging symbols found in /usr/lib/libunistring.so.2)
Reading symbols from /usr/lib/libsodium.so.23...
(No debugging symbols found in /usr/lib/libsodium.so.23)
Reading symbols from /usr/lib/libgpg-error.so.0...
(No debugging symbols found in /usr/lib/libgpg-error.so.0)
Reading symbols from /usr/lib/libgnutls.so.30...
(No debugging symbols found in /usr/lib/libgnutls.so.30)
Reading symbols from /usr/lib/libp11-kit.so.0...
(No debugging symbols found in /usr/lib/libp11-kit.so.0)
Reading symbols from /usr/lib/libtasn1.so.6...
(No debugging symbols found in /usr/lib/libtasn1.so.6)
Reading symbols from /usr/lib/libnettle.so.8...
(No debugging symbols found in /usr/lib/libnettle.so.8)
Reading symbols from /usr/lib/libhogweed.so.6...
(No debugging symbols found in /usr/lib/libhogweed.so.6)
Reading symbols from /usr/lib/libgmp.so.10...
(No debugging symbols found in /usr/lib/libgmp.so.10)
Reading symbols from /usr/lib/libffi.so.7...
(No debugging symbols found in /usr/lib/libffi.so.7)
__cp_end () at src/thread/x86_64/syscall_cp.s:29
29      src/thread/x86_64/syscall_cp.s: No such file or directory.
(gdb) bt
#0  __cp_end () at src/thread/x86_64/syscall_cp.s:29
#1  0x00007f53951de66c in __syscall_cp_c (nr=61, u=<optimized out>,
    v=<optimized out>, w=<optimized out>, x=<optimized out>,
    y=<optimized out>, z=0) at src/thread/pthread_cancel.c:33
#2  0x00007f53951cb90e in waitpid (pid=<optimized out>,
    status=status@entry=0x7ffd59eb6494, options=<optimized out>)
    at src/process/waitpid.c:6
#3  0x00007f5395135a38 in process_status (proc=0x7f5394d6ec70,
    type=0x7ffd59eb64d0, code=0x7ffd59eb64e0, options=<optimized out>)
    at os_priority.c:887
#4  0x000055caac9213b1 in main (argc=1, argv=0x7ffd59eb6548)
    at test_helper_eddsa.c:423
(gdb)


# gdb -p 2646
Attaching to process 2646
[New LWP 2647]
__cp_end () at src/thread/x86_64/syscall_cp.s:29
29      src/thread/x86_64/syscall_cp.s: No such file or directory.
#0  __cp_end () at src/thread/x86_64/syscall_cp.s:29
#1  0x00007fe88664466c in __syscall_cp_c (nr=202, u=<optimized out>,
    v=<optimized out>, w=<optimized out>, x=<optimized out>,
    y=<optimized out>, z=0) at src/thread/pthread_cancel.c:33
#2  0x00007fe886643c69 in __futex4_cp (to=0x0, val=2, op=128,
    addr=0x7fe885dc9b70) at src/thread/__timedwait.c:24
#3  __timedwait_cp (addr=addr@entry=0x7fe885dc9b70, val=2, clk=clk@entry=0,
    at=at@entry=0x0, priv=128, priv@entry=1) at src/thread/__timedwait.c:52
#4  0x00007fe886645881 in __pthread_timedjoin_np (t=0x7fe885dc9b38, res=0x0,
    at=0x0) at src/thread/pthread_join.c:18
#5  0x0000557fb9ebb4ae in do_shutdown (cls=0x0)
    at taler-exchange-secmod-eddsa.c:1419
#6  0x00007fe8865a756f in GNUNET_SCHEDULER_do_work (sh=sh@entry=0x7fe8863d76f0)
    at scheduler.c:2144
#7  0x00007fe8865a8385 in select_loop (context=0x7fffb8d4c9f0,
    sh=0x7fe8863d76f0) at scheduler.c:2441
#8  GNUNET_SCHEDULER_run (task=task@entry=0x7fe88659e460 <program_main>,
    task_cls=task_cls@entry=0x7fffb8d4cab0) at scheduler.c:738
#9  0x00007fe88659ebef in GNUNET_PROGRAM_run2 (argc=<optimized out>,
    argv=0x7fffb8d4ce58, binaryName=<optimized out>,
    binaryHelp=<optimized out>, options=<optimized out>, task=<optimized out>,
    task_cls=<optimized out>, run_without_scheduler=<optimized out>)
    at program.c:344
#10 0x00007fe88659f15f in GNUNET_PROGRAM_run (argc=<optimized out>,
    argv=<optimized out>, binaryName=<optimized out>,
    binaryHelp=<optimized out>, options=<optimized out>, task=<optimized out>,
    task_cls=0x0) at program.c:371
#11 0x0000557fb9ebc0d7 in main (argc=5, argv=0x7fffb8d4ce58)
    at taler-exchange-secmod-eddsa.c:1667
(gdb)
bt2 (5,169 bytes)   
test-suite.log (969 bytes)   
===================================================
   taler-exchange 0.8.1: src/util/test-suite.log
===================================================

# TOTAL: 1
# PASS:  0
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_helper_eddsa
=======================

Jan 27 14:36:32-644120 test-helper-eddsa-2729 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
Waiting for helper to start Jan 27 14:36:32-644348 test-helper-eddsa-2729 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
.
OK: Helper ready (6 keys)
Revoking key ....
Revoking key ....
Revoking key ....
100 (sequential) signature operations took 13 ms
Jan 27 14:36:53-723881 test-helper-eddsa-2729 ERROR Helper died with unexpected status 4/9
FAIL test_helper_eddsa (exit status: 5)

test-suite.log (969 bytes)   

ttn

2021-01-27 14:47

developer   ~0017415

Some kind of thread deadlock on shutdown?

Christian Grothoff

2021-01-27 14:49

manager   ~0017416

bt2 is more useful, alas shows that you should switch to the other thread ('thread' command to gdb) and get the stack trace there as well, as the main() thread merely waits for a worker-thread to terminate, and we need to find out why it is not.

ttn

2021-01-27 15:29

developer   ~0017418

Here is bt3, which shows the backtrace of thread 2 (the worker thread) of the helper process.
bt3 (1,320 bytes)   
# gdb -p 2828
Attaching to process 2828
[New LWP 2829]
__cp_end () at src/thread/x86_64/syscall_cp.s:29
29      src/thread/x86_64/syscall_cp.s: No such file or directory.
(gdb) t 2
[Switching to thread 2 (LWP 2829)]
#0  __cp_end () at src/thread/x86_64/syscall_cp.s:29
29      in src/thread/x86_64/syscall_cp.s
(gdb) bt
#0  __cp_end () at src/thread/x86_64/syscall_cp.s:29
#1  0x00007f80cc48c66c in __syscall_cp_c (nr=202, u=<optimized out>,
    v=<optimized out>, w=<optimized out>, x=<optimized out>,
    y=<optimized out>, z=0) at src/thread/pthread_cancel.c:33
#2  0x00007f80cc48bc69 in __futex4_cp (to=0x0, val=2, op=128,
    addr=0x7f80cbc10e44) at src/thread/__timedwait.c:24
#3  __timedwait_cp (addr=addr@entry=0x7f80cbc10e44, val=val@entry=2,
    clk=clk@entry=0, at=at@entry=0x0, priv=128, priv@entry=1)
    at src/thread/__timedwait.c:52
#4  0x00007f80cc48ca76 in __pthread_cond_timedwait (
    c=0x56270443f320 <work_cond>, m=0x56270443f2e0 <work_lock>, ts=0x0)
    at src/thread/pthread_cond_timedwait.c:100
#5  0x0000562704435ef0 in sign_worker (cls=0x0)
    at taler-exchange-secmod-eddsa.c:387
#6  0x00007f80cc48d160 in start (p=0x7f80cbc10ef0)
    at src/thread/pthread_create.c:203
#7  0x00007f80cc48f31f in __clone () at src/thread/x86_64/clone.s:22
Backtrace stopped: frame did not save the PC
(gdb)
bt3 (1,320 bytes)   

Christian Grothoff

2021-01-27 18:58

manager   ~0017420

Fixed in 5ec474a0..88627af6

ttn

2021-01-28 07:03

developer   ~0017421

The good news is that the helper programs no longer hang.
The bad news is that they instead seem to exit "unexpectedly" (see attached log).

ttn

2021-01-28 07:07

developer   ~0017422

I additionally observe a regression on both Debian Bullseye/Sid (gv) and Devuan Beowulf/Chimaera (my computer):

- Debian: "make" fails:
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/json'
  CC i18n.lo
  CC json.lo
  CC json_helper.lo
  CC json_wire.lo
  CCLD libtalerjson.la
/bin/sed: can't read /usr/lib/x86_64-linux-gnu/libltdl.la: No such file or directory
libtool: error: '/usr/lib/x86_64-linux-gnu/libltdl.la' is not a valid libtool archive

- Devuan: "make check" fails (similar test-suite.log as Alpine -- unexpected helper exit).
test-suite-2.log (1,696 bytes)   
===================================================
   taler-exchange 0.8.1: src/util/test-suite.log
===================================================

# TOTAL: 6
# PASS:  4
# SKIP:  0
# XFAIL: 0
# FAIL:  2
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_helper_eddsa
=======================

Jan 27 20:39:05-034443 test-helper-eddsa-24693 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
Waiting for helper to start Jan 27 20:39:05-034609 test-helper-eddsa-24693 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
.
OK: Helper ready (6 keys)
Revoking key ....
Revoking key ....
Revoking key ....
3 (sequential) signature operations took 19 ms
Jan 27 20:40:22-516212 test-helper-eddsa-24693 ERROR Helper died with unexpected status 4/9
FAIL test_helper_eddsa (exit status: 5)

FAIL: test_helper_rsa
=====================

Jan 27 20:40:22-593192 test-helper-rsa-24718 WARNING `sendto' failed on file `/tmp/ttn/test_helper_rsa/helper.unix' at crypto_helper_denom.c:170 with error: No such file or directory
Waiting for helper to start Jan 27 20:40:22-593354 test-helper-rsa-24718 WARNING `sendto' failed on file `/tmp/ttn/test_helper_rsa/helper.unix' at crypto_helper_denom.c:170 with error: No such file or directory
.
OK: Helper ready (6 keys)
Revoking key PHNGYR3J .....
Revoking key W1NEDY9R ....
Revoking key AK1ZSDF9 .....
5 (sequential) signature operations took 53 ms
Jan 27 20:40:40-845420 test-helper-rsa-24718 ERROR Helper died with unexpected status 4/9
FAIL test_helper_rsa (exit status: 5)

test-suite-2.log (1,696 bytes)   

Christian Grothoff

2021-01-28 09:45

manager   ~0017423

make check issue: please attach another strace -rf .libs/test_helper_eddsa

'make' issue: likely you updated your system and the '.la' file was removed. 'make clean' everything you build from source (so starting with GNUnet) and then try 'make install'. That kind of problem is most likely not an issue in our code. Oh, and make sure you didn't uninstall libltdl ;-).

ttn

2021-01-28 10:00

developer   ~0017424

The "make" issue was on gv.taler.net (!!!). Perhaps i opened a port and we got pwned. :-(

For the "make check" issue, here is the strace.log. Execution took less than 2 seconds, as before.
strace.log.gz (32,525 bytes)

Christian Grothoff

2021-01-28 10:21

manager   ~0017425

make issue: I did run a system update (apt upgrade) recently. It is quite possible that the libltdl.la file was removed by the upgrade, which in turn will require software that used it in its linker rules to be rebuild from source.

Christian Grothoff

2021-01-28 10:23

manager   ~0017426

Eh, your strace seems to show a *successful* termination. Can you reproduce the termination where the child is killed by some signal using strace? (maybe it doesn't happen every time?).

ttn

2021-01-28 18:49

developer   ~0017427

Let's leave aside the non-Alpine testing for now -- too confusing!

Unfortunately, after that initial finish-but-FAIL result, all subsequent attempts result in hanging (as before).
I did a full "git clone", and also ran w/ PGHOST=$HOME/pg (not that this should matter for this particular test).

Christian Grothoff

2021-01-28 19:22

manager   ~0017428

Well, I'm eager to look into the issues on all platforms. Alas, please make sure to send strace or gdb backtrace data of _failing_ or _hanging_ runs to enable diagnostics as I cannot reproduce this at all here.

ttn

2021-01-28 19:49

developer   ~0017429

(Alpine hanging) Here's a backtrace of the the worker thread of the helper process.
bt4 (1,150 bytes)   
(gdb) t 2
[Switching to thread 2 (LWP 24666)]
#0  __cp_end () at src/thread/x86_64/syscall_cp.s:29
29      in src/thread/x86_64/syscall_cp.s
(gdb) bt
#0  __cp_end () at src/thread/x86_64/syscall_cp.s:29
#1  0x00007f08c684066c in __syscall_cp_c (nr=202, u=<optimized out>,
    v=<optimized out>, w=<optimized out>, x=<optimized out>,
    y=<optimized out>, z=0) at src/thread/pthread_cancel.c:33
#2  0x00007f08c683fc69 in __futex4_cp (to=0x0, val=2, op=128,
    addr=0x7f08c5fc4e44) at src/thread/__timedwait.c:24
#3  __timedwait_cp (addr=addr@entry=0x7f08c5fc4e44, val=val@entry=2,
    clk=clk@entry=0, at=at@entry=0x0, priv=128, priv@entry=1)
    at src/thread/__timedwait.c:52
#4  0x00007f08c6840a76 in __pthread_cond_timedwait (
    c=0x562014443320 <work_cond>, m=0x5620144432e0 <work_lock>, ts=0x0)
    at src/thread/pthread_cond_timedwait.c:100
#5  0x0000562014439ef0 in sign_worker (cls=0x0)
    at taler-exchange-secmod-eddsa.c:387
#6  0x00007f08c6841160 in start (p=0x7f08c5fc4ef0)
    at src/thread/pthread_create.c:203
#7  0x00007f08c684331f in __clone () at src/thread/x86_64/clone.s:22
Backtrace stopped: frame did not save the PC
(gdb)
bt4 (1,150 bytes)   

Christian Grothoff

2021-01-28 20:20

manager   ~0017430

bt4 is not for Git master, you are running some older version of the code. Make sure to run 'make install' before re-running the test.

ttn

2021-01-28 21:08

developer   ~0017431

Oops, you're right. I keep forgetting. Now the tests fail after a few seconds each (more than two, less than 10).
Here's the file src/util/test-suite.log.
test-suite-3.log (1,605 bytes)   
===================================================
   taler-exchange 0.8.1: src/util/test-suite.log
===================================================

# TOTAL: 6
# PASS:  4
# SKIP:  0
# XFAIL: 0
# FAIL:  2
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_helper_eddsa
=======================

Jan 28 21:02:01-543492 test-helper-eddsa-8517 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
Waiting for helper to start Jan 28 21:02:01-543664 test-helper-eddsa-8517 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
.
OK: Helper ready (6 keys)
Revoking key ....
Revoking key ....
Revoking key ....
Jan 28 21:02:07-553665 test-helper-eddsa-8517 ERROR Assertion failed at test_helper_eddsa.c:256.
FAIL test_helper_eddsa (exit status: 7)

FAIL: test_helper_rsa
=====================

Jan 28 21:02:07-571423 test-helper-rsa-8536 WARNING `sendto' failed on file `/tmp/ttn/test_helper_rsa/helper.unix' at crypto_helper_denom.c:170 with error: No such file or directory
Waiting for helper to start Jan 28 21:02:07-571573 test-helper-rsa-8536 WARNING `sendto' failed on file `/tmp/ttn/test_helper_rsa/helper.unix' at crypto_helper_denom.c:170 with error: No such file or directory
.
OK: Helper ready (6 keys)
Revoking key YHZ2W8DZ ....
Revoking key 3Z44XP7C .....
Revoking key PW8084SR ....
Jan 28 21:02:15-399862 test-helper-rsa-8536 ERROR Assertion failed at test_helper_rsa.c:336.
FAIL test_helper_rsa (exit status: 7)

test-suite-3.log (1,605 bytes)   

Christian Grothoff

2021-01-28 21:24

manager   ~0017432

Looks like a timeout, but unclear why. I've enabled more logging in f3329ee3..bfd0a962. Please send another test-suite log.

ttn

2021-01-28 21:33

developer   ~0017433

test-suite-4.log (12,540 bytes)   
===================================================
   taler-exchange 0.8.1: src/util/test-suite.log
===================================================

# TOTAL: 6
# PASS:  4
# SKIP:  0
# XFAIL: 0
# FAIL:  2
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_helper_eddsa
=======================

Jan 28 21:26:51-920249 test-helper-eddsa-1423 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
Waiting for helper to start Jan 28 21:26:51-920439 test-helper-eddsa-1423 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
Jan 28 21:26:51-925323 taler-exchange-secmod-eddsa-1440 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611865341'
Jan 28 21:26:51-925435 taler-exchange-secmod-eddsa-1440 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611865459'
Jan 28 21:26:51-925529 taler-exchange-secmod-eddsa-1440 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611865223'
Jan 28 21:26:51-925619 taler-exchange-secmod-eddsa-1440 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611865518'
Jan 28 21:26:51-925710 taler-exchange-secmod-eddsa-1440 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611865400'
Jan 28 21:26:51-925800 taler-exchange-secmod-eddsa-1440 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611865282'
Jan 28 21:26:51-926023 taler-exchange-secmod-eddsa-1440 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611865611'
Jan 28 21:26:51-926168 taler-exchange-secmod-eddsa-1440 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611865670'
Jan 28 21:26:51-926303 taler-exchange-secmod-eddsa-1440 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611865729'
Jan 28 21:26:51-926437 taler-exchange-secmod-eddsa-1440 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611865788'
Jan 28 21:26:51-926619 taler-exchange-secmod-eddsa-1440 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611865847'
Jan 28 21:26:51-926774 taler-exchange-secmod-eddsa-1440 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611865906'
Jan 28 21:26:51-926830 taler-exchange-secmod-eddsa-1440 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611865223'
Jan 28 21:26:51-926881 taler-exchange-secmod-eddsa-1440 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611865282'
Jan 28 21:26:51-926926 taler-exchange-secmod-eddsa-1440 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611865341'
Jan 28 21:26:51-926973 taler-exchange-secmod-eddsa-1440 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611865400'
Jan 28 21:26:51-927017 taler-exchange-secmod-eddsa-1440 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611865459'
Jan 28 21:26:51-927060 taler-exchange-secmod-eddsa-1440 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611865518'
.Jan 28 21:26:52-172553 test-helper-eddsa-1423 INFO Now synchronized with EdDSA helper

OK: Helper ready (6 keys)
Revoking key ...Jan 28 21:26:52-172790 taler-exchange-secmod-eddsa-1440 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611865847'
Jan 28 21:26:52-172915 taler-exchange-secmod-eddsa-1440 INFO Revocation complete
.
Revoking key ...Jan 28 21:26:52-423353 taler-exchange-secmod-eddsa-1440 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611865611'
Jan 28 21:26:52-423485 taler-exchange-secmod-eddsa-1440 INFO Revocation complete
.
Revoking key ...Jan 28 21:26:52-673778 taler-exchange-secmod-eddsa-1440 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611865906'
Jan 28 21:26:52-673970 taler-exchange-secmod-eddsa-1440 INFO Revocation complete
.
Jan 28 21:26:52-924063 taler-exchange-secmod-eddsa-1440 INFO Received request to sign over 8 bytes
Jan 28 21:26:57-929352 test-helper-eddsa-1423 WARNING Timeout waiting for helper
Jan 28 21:26:57-929419 test-helper-eddsa-1423 ERROR Unexpected error 11
FAIL test_helper_eddsa (exit status: 7)

FAIL: test_helper_rsa
=====================

Jan 28 21:26:58-006302 test-helper-rsa-1446 WARNING `sendto' failed on file `/tmp/ttn/test_helper_rsa/helper.unix' at crypto_helper_denom.c:170 with error: No such file or directory
Waiting for helper to start Jan 28 21:26:58-006487 test-helper-rsa-1446 WARNING `sendto' failed on file `/tmp/ttn/test_helper_rsa/helper.unix' at crypto_helper_denom.c:170 with error: No such file or directory
Jan 28 21:26:58-011250 taler-exchange-secmod-rsa-1463 INFO Loading keys for denomination coin_1
Jan 28 21:26:58-011449 taler-exchange-secmod-rsa-1463 INFO Imported key W3211TC4 from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865406'
Jan 28 21:26:58-011569 taler-exchange-secmod-rsa-1463 INFO Imported key A4DPA69A from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865347'
Jan 28 21:26:58-011701 taler-exchange-secmod-rsa-1463 INFO Imported key FH8DPMGD from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865229'
Jan 28 21:26:58-011804 taler-exchange-secmod-rsa-1463 INFO Imported key XDWSCNSB from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865524'
Jan 28 21:26:58-011916 taler-exchange-secmod-rsa-1463 INFO Imported key 6Q6DGCRA from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865288'
Jan 28 21:26:58-012016 taler-exchange-secmod-rsa-1463 INFO Imported key QYEPWQVP from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865465'
.Jan 28 21:26:58-476067 taler-exchange-secmod-rsa-1463 INFO Setup fresh private key RQWNBXHQ in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865618'
Jan 28 21:26:58-600552 taler-exchange-secmod-rsa-1463 INFO Setup fresh private key 6K0D0BTD in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865677'
Jan 28 21:26:58-713303 taler-exchange-secmod-rsa-1463 INFO Setup fresh private key FJVZPCZA in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865736'
Jan 28 21:26:59-120645 taler-exchange-secmod-rsa-1463 INFO Setup fresh private key Z3T18AQ6 in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865795'
Jan 28 21:26:59-692237 taler-exchange-secmod-rsa-1463 INFO Setup fresh private key SP0QD706 in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865854'
Jan 28 21:26:59-897048 taler-exchange-secmod-rsa-1463 INFO Setup fresh private key FPWHNQ7D in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865913'
Jan 28 21:26:59-897134 taler-exchange-secmod-rsa-1463 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865229'
Jan 28 21:26:59-897183 taler-exchange-secmod-rsa-1463 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865288'
Jan 28 21:26:59-897228 taler-exchange-secmod-rsa-1463 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865347'
Jan 28 21:26:59-897279 taler-exchange-secmod-rsa-1463 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865406'
Jan 28 21:26:59-897335 taler-exchange-secmod-rsa-1463 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865465'
Jan 28 21:26:59-897385 taler-exchange-secmod-rsa-1463 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865524'
Jan 28 21:26:59-897644 taler-exchange-secmod-rsa-1463 INFO Sending RSA denomination key RQWNBXHQ (coin_1)
Jan 28 21:26:59-897727 test-helper-rsa-1446 INFO Received RSA key RQWNBXHQ (coin_1)
Jan 28 21:26:59-897893 test-helper-rsa-1446 INFO Key notification about key RQWNBXHQ in `coin_1'
Jan 28 21:26:59-898025 taler-exchange-secmod-rsa-1463 INFO Sending RSA denomination key 6K0D0BTD (coin_1)
Jan 28 21:26:59-898091 test-helper-rsa-1446 INFO Received RSA key 6K0D0BTD (coin_1)
Jan 28 21:26:59-898249 test-helper-rsa-1446 INFO Key notification about key 6K0D0BTD in `coin_1'
Jan 28 21:26:59-898389 taler-exchange-secmod-rsa-1463 INFO Sending RSA denomination key FJVZPCZA (coin_1)
Jan 28 21:26:59-898459 test-helper-rsa-1446 INFO Received RSA key FJVZPCZA (coin_1)
Jan 28 21:26:59-898606 test-helper-rsa-1446 INFO Key notification about key FJVZPCZA in `coin_1'
Jan 28 21:26:59-898735 taler-exchange-secmod-rsa-1463 INFO Sending RSA denomination key Z3T18AQ6 (coin_1)
Jan 28 21:26:59-898797 test-helper-rsa-1446 INFO Received RSA key Z3T18AQ6 (coin_1)
Jan 28 21:26:59-898953 test-helper-rsa-1446 INFO Key notification about key Z3T18AQ6 in `coin_1'
Jan 28 21:26:59-899092 taler-exchange-secmod-rsa-1463 INFO Sending RSA denomination key SP0QD706 (coin_1)
Jan 28 21:26:59-899140 test-helper-rsa-1446 INFO Received RSA key SP0QD706 (coin_1)
Jan 28 21:26:59-899285 test-helper-rsa-1446 INFO Key notification about key SP0QD706 in `coin_1'
Jan 28 21:26:59-899413 taler-exchange-secmod-rsa-1463 INFO Sending RSA denomination key FPWHNQ7D (coin_1)
Jan 28 21:26:59-899462 test-helper-rsa-1446 INFO Received RSA key FPWHNQ7D (coin_1)
Jan 28 21:26:59-899607 test-helper-rsa-1446 INFO Key notification about key FPWHNQ7D in `coin_1'
Jan 28 21:26:59-899631 taler-exchange-secmod-rsa-1463 INFO Sending RSA SYNCED message
Jan 28 21:26:59-899658 test-helper-rsa-1446 INFO Now synchronized with RSA helper

OK: Helper ready (6 keys)
Revoking key FPWHNQ7D ...Jan 28 21:26:59-899689 test-helper-rsa-1446 INFO Requested revocation of denomination key FPWHNQ7D
Jan 28 21:27:00-021803 taler-exchange-secmod-rsa-1463 INFO Setup fresh private key 97YW9MB3 in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865913'
Jan 28 21:27:00-021953 taler-exchange-secmod-rsa-1463 INFO Sending RSA denomination key 97YW9MB3 (coin_1)
Jan 28 21:27:00-021986 taler-exchange-secmod-rsa-1463 INFO Revocation of denomination key FPWHNQ7D complete
Jan 28 21:27:00-022000 taler-exchange-secmod-rsa-1463 INFO Sending RSA denomination expiration FPWHNQ7D
.Jan 28 21:27:00-149972 test-helper-rsa-1446 INFO Received RSA key 97YW9MB3 (coin_1)
Jan 28 21:27:00-150294 test-helper-rsa-1446 INFO Key notification about key 97YW9MB3 in `coin_1'
Jan 28 21:27:00-150340 test-helper-rsa-1446 INFO Received revocation of denomination key FPWHNQ7D
Jan 28 21:27:00-150366 test-helper-rsa-1446 INFO Key notification about key FPWHNQ7D in `(null)'

Revoking key 6K0D0BTD ...Jan 28 21:27:00-150429 test-helper-rsa-1446 INFO Requested revocation of denomination key 6K0D0BTD
Jan 28 21:27:00-359109 taler-exchange-secmod-rsa-1463 INFO Setup fresh private key PAK5B52B in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865677'
Jan 28 21:27:00-359260 taler-exchange-secmod-rsa-1463 INFO Sending RSA denomination key PAK5B52B (coin_1)
Jan 28 21:27:00-359291 taler-exchange-secmod-rsa-1463 INFO Revocation of denomination key 6K0D0BTD complete
Jan 28 21:27:00-359305 taler-exchange-secmod-rsa-1463 INFO Sending RSA denomination expiration 6K0D0BTD
.Jan 28 21:27:00-400884 test-helper-rsa-1446 INFO Received RSA key PAK5B52B (coin_1)
Jan 28 21:27:00-401196 test-helper-rsa-1446 INFO Key notification about key PAK5B52B in `coin_1'
Jan 28 21:27:00-401238 test-helper-rsa-1446 INFO Received revocation of denomination key 6K0D0BTD
Jan 28 21:27:00-401263 test-helper-rsa-1446 INFO Key notification about key 6K0D0BTD in `(null)'

Revoking key RQWNBXHQ ...Jan 28 21:27:00-401334 test-helper-rsa-1446 INFO Requested revocation of denomination key RQWNBXHQ
Jan 28 21:27:00-568923 taler-exchange-secmod-rsa-1463 INFO Setup fresh private key 58JTYZX3 in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865618'
Jan 28 21:27:00-569090 taler-exchange-secmod-rsa-1463 INFO Sending RSA denomination key 58JTYZX3 (coin_1)
Jan 28 21:27:00-569126 taler-exchange-secmod-rsa-1463 INFO Revocation of denomination key RQWNBXHQ complete
Jan 28 21:27:00-569140 taler-exchange-secmod-rsa-1463 INFO Sending RSA denomination expiration RQWNBXHQ
.Jan 28 21:27:00-651589 test-helper-rsa-1446 INFO Received RSA key 58JTYZX3 (coin_1)
Jan 28 21:27:00-651752 test-helper-rsa-1446 INFO Key notification about key 58JTYZX3 in `coin_1'
Jan 28 21:27:00-651774 test-helper-rsa-1446 INFO Received revocation of denomination key RQWNBXHQ
Jan 28 21:27:00-651788 test-helper-rsa-1446 INFO Key notification about key RQWNBXHQ in `(null)'

Jan 28 21:27:00-653074 test-helper-rsa-1446 INFO Requesting signature over 256 bytes with key 58JTYZX3
Jan 28 21:27:00-653125 taler-exchange-secmod-rsa-1463 INFO Received request to sign over 256 bytes with key 58JTYZX3
Jan 28 21:27:05-658865 test-helper-rsa-1446 WARNING Timeout waiting for helper
Jan 28 21:27:05-658918 test-helper-rsa-1446 ERROR Unexpected error 11
FAIL test_helper_rsa (exit status: 7)

test-suite-4.log (12,540 bytes)   

Christian Grothoff

2021-01-28 21:47

manager   ~0017434

Ok, indeed a timeout. Still unclear why. I've added even more logging in bfd0a962..4dd87e11 -- please send another log.

ttn

2021-01-28 21:56

developer   ~0017435

test-suite-5.log (12,570 bytes)   
===================================================
   taler-exchange 0.8.1: src/util/test-suite.log
===================================================

# TOTAL: 6
# PASS:  4
# SKIP:  0
# XFAIL: 0
# FAIL:  2
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_helper_eddsa
=======================

Jan 28 21:54:02-648299 test-helper-eddsa-7904 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
Waiting for helper to start Jan 28 21:54:02-648558 test-helper-eddsa-7904 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
Jan 28 21:54:02-655312 taler-exchange-secmod-eddsa-7917 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611865847'
Jan 28 21:54:02-655436 taler-exchange-secmod-eddsa-7917 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611865670'
Jan 28 21:54:02-655536 taler-exchange-secmod-eddsa-7917 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611865611'
Jan 28 21:54:02-655637 taler-exchange-secmod-eddsa-7917 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611865906'
Jan 28 21:54:02-655735 taler-exchange-secmod-eddsa-7917 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611865788'
Jan 28 21:54:02-655832 taler-exchange-secmod-eddsa-7917 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611865729'
Jan 28 21:54:02-656084 taler-exchange-secmod-eddsa-7917 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611867242'
Jan 28 21:54:02-656235 taler-exchange-secmod-eddsa-7917 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611867301'
Jan 28 21:54:02-656378 taler-exchange-secmod-eddsa-7917 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611867360'
Jan 28 21:54:02-656526 taler-exchange-secmod-eddsa-7917 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611867419'
Jan 28 21:54:02-656670 taler-exchange-secmod-eddsa-7917 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611867478'
Jan 28 21:54:02-656817 taler-exchange-secmod-eddsa-7917 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611867537'
Jan 28 21:54:02-656885 taler-exchange-secmod-eddsa-7917 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611865611'
Jan 28 21:54:02-656939 taler-exchange-secmod-eddsa-7917 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611865670'
Jan 28 21:54:02-656990 taler-exchange-secmod-eddsa-7917 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611865729'
Jan 28 21:54:02-657040 taler-exchange-secmod-eddsa-7917 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611865788'
Jan 28 21:54:02-657091 taler-exchange-secmod-eddsa-7917 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611865847'
Jan 28 21:54:02-657141 taler-exchange-secmod-eddsa-7917 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611865906'
.Jan 28 21:54:02-900634 test-helper-eddsa-7904 INFO Now synchronized with EdDSA helper

OK: Helper ready (6 keys)
Revoking key ...Jan 28 21:54:02-900890 taler-exchange-secmod-eddsa-7917 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611867301'
Jan 28 21:54:02-901014 taler-exchange-secmod-eddsa-7917 INFO Revocation complete
.
Revoking key ...Jan 28 21:54:03-151714 taler-exchange-secmod-eddsa-7917 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611867419'
Jan 28 21:54:03-151946 taler-exchange-secmod-eddsa-7917 INFO Revocation complete
.
Revoking key ...Jan 28 21:54:03-402307 taler-exchange-secmod-eddsa-7917 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611867301'
Jan 28 21:54:03-402541 taler-exchange-secmod-eddsa-7917 INFO Revocation complete
.
Jan 28 21:54:03-652393 taler-exchange-secmod-eddsa-7917 INFO Received request to sign over 8 bytes, queueing as 0x7fa01a2b3e90
Jan 28 21:54:08-657627 test-helper-eddsa-7904 WARNING Timeout waiting for helper
Jan 28 21:54:08-657668 test-helper-eddsa-7904 ERROR Unexpected error 11
FAIL test_helper_eddsa (exit status: 7)

FAIL: test_helper_rsa
=====================

Jan 28 21:54:08-671548 test-helper-rsa-7923 WARNING `sendto' failed on file `/tmp/ttn/test_helper_rsa/helper.unix' at crypto_helper_denom.c:170 with error: No such file or directory
Waiting for helper to start Jan 28 21:54:08-671715 test-helper-rsa-7923 WARNING `sendto' failed on file `/tmp/ttn/test_helper_rsa/helper.unix' at crypto_helper_denom.c:170 with error: No such file or directory
Jan 28 21:54:08-676707 taler-exchange-secmod-rsa-7936 INFO Loading keys for denomination coin_1
Jan 28 21:54:08-676903 taler-exchange-secmod-rsa-7936 INFO Imported key SP0QD706 from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865854'
Jan 28 21:54:08-677028 taler-exchange-secmod-rsa-7936 INFO Imported key PAK5B52B from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865677'
Jan 28 21:54:08-677171 taler-exchange-secmod-rsa-7936 INFO Imported key Z3T18AQ6 from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865795'
Jan 28 21:54:08-677281 taler-exchange-secmod-rsa-7936 INFO Imported key 58JTYZX3 from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865618'
Jan 28 21:54:08-677463 taler-exchange-secmod-rsa-7936 INFO Imported key 97YW9MB3 from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865913'
Jan 28 21:54:08-677584 taler-exchange-secmod-rsa-7936 INFO Imported key FJVZPCZA from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865736'
Jan 28 21:54:08-853480 taler-exchange-secmod-rsa-7936 INFO Setup fresh private key F0AMJWS6 in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867248'
.Jan 28 21:54:09-445076 taler-exchange-secmod-rsa-7936 INFO Setup fresh private key 0DCXC6R7 in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867307'
Jan 28 21:54:09-887125 taler-exchange-secmod-rsa-7936 INFO Setup fresh private key GW1WR6X6 in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867366'
Jan 28 21:54:10-332813 taler-exchange-secmod-rsa-7936 INFO Setup fresh private key K2PBRG87 in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867425'
Jan 28 21:54:10-493444 taler-exchange-secmod-rsa-7936 INFO Setup fresh private key DMKQNDP0 in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867484'
Jan 28 21:54:10-730498 taler-exchange-secmod-rsa-7936 INFO Setup fresh private key 64MJKA32 in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867543'
Jan 28 21:54:10-730606 taler-exchange-secmod-rsa-7936 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865618'
Jan 28 21:54:10-730663 taler-exchange-secmod-rsa-7936 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865677'
Jan 28 21:54:10-730754 taler-exchange-secmod-rsa-7936 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865736'
Jan 28 21:54:10-730828 taler-exchange-secmod-rsa-7936 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865795'
Jan 28 21:54:10-730895 taler-exchange-secmod-rsa-7936 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865854'
Jan 28 21:54:10-730955 taler-exchange-secmod-rsa-7936 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611865913'
Jan 28 21:54:10-731196 taler-exchange-secmod-rsa-7936 INFO Sending RSA denomination key F0AMJWS6 (coin_1)
Jan 28 21:54:10-731274 test-helper-rsa-7923 INFO Received RSA key F0AMJWS6 (coin_1)
Jan 28 21:54:10-731446 test-helper-rsa-7923 INFO Key notification about key F0AMJWS6 in `coin_1'
Jan 28 21:54:10-731584 taler-exchange-secmod-rsa-7936 INFO Sending RSA denomination key 0DCXC6R7 (coin_1)
Jan 28 21:54:10-731653 test-helper-rsa-7923 INFO Received RSA key 0DCXC6R7 (coin_1)
Jan 28 21:54:10-731808 test-helper-rsa-7923 INFO Key notification about key 0DCXC6R7 in `coin_1'
Jan 28 21:54:10-731943 taler-exchange-secmod-rsa-7936 INFO Sending RSA denomination key GW1WR6X6 (coin_1)
Jan 28 21:54:10-732009 test-helper-rsa-7923 INFO Received RSA key GW1WR6X6 (coin_1)
Jan 28 21:54:10-732166 test-helper-rsa-7923 INFO Key notification about key GW1WR6X6 in `coin_1'
Jan 28 21:54:10-732295 taler-exchange-secmod-rsa-7936 INFO Sending RSA denomination key K2PBRG87 (coin_1)
Jan 28 21:54:10-732358 test-helper-rsa-7923 INFO Received RSA key K2PBRG87 (coin_1)
Jan 28 21:54:10-732514 test-helper-rsa-7923 INFO Key notification about key K2PBRG87 in `coin_1'
Jan 28 21:54:10-732653 taler-exchange-secmod-rsa-7936 INFO Sending RSA denomination key DMKQNDP0 (coin_1)
Jan 28 21:54:10-732702 test-helper-rsa-7923 INFO Received RSA key DMKQNDP0 (coin_1)
Jan 28 21:54:10-732855 test-helper-rsa-7923 INFO Key notification about key DMKQNDP0 in `coin_1'
Jan 28 21:54:10-732989 taler-exchange-secmod-rsa-7936 INFO Sending RSA denomination key 64MJKA32 (coin_1)
Jan 28 21:54:10-733040 test-helper-rsa-7923 INFO Received RSA key 64MJKA32 (coin_1)
Jan 28 21:54:10-733187 test-helper-rsa-7923 INFO Key notification about key 64MJKA32 in `coin_1'
Jan 28 21:54:10-733211 taler-exchange-secmod-rsa-7936 INFO Sending RSA SYNCED message
Jan 28 21:54:10-733239 test-helper-rsa-7923 INFO Now synchronized with RSA helper

OK: Helper ready (6 keys)
Revoking key GW1WR6X6 ...Jan 28 21:54:10-733269 test-helper-rsa-7923 INFO Requested revocation of denomination key GW1WR6X6
Jan 28 21:54:10-968792 taler-exchange-secmod-rsa-7936 INFO Setup fresh private key X4AF4274 in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867366'
Jan 28 21:54:10-968935 taler-exchange-secmod-rsa-7936 INFO Sending RSA denomination key X4AF4274 (coin_1)
Jan 28 21:54:10-968966 taler-exchange-secmod-rsa-7936 INFO Revocation of denomination key GW1WR6X6 complete
Jan 28 21:54:10-968980 taler-exchange-secmod-rsa-7936 INFO Sending RSA denomination expiration GW1WR6X6
.Jan 28 21:54:10-983450 test-helper-rsa-7923 INFO Received RSA key X4AF4274 (coin_1)
Jan 28 21:54:10-983666 test-helper-rsa-7923 INFO Key notification about key X4AF4274 in `coin_1'
Jan 28 21:54:10-983695 test-helper-rsa-7923 INFO Received revocation of denomination key GW1WR6X6
Jan 28 21:54:10-983715 test-helper-rsa-7923 INFO Key notification about key GW1WR6X6 in `(null)'

Revoking key X4AF4274 ...Jan 28 21:54:10-983758 test-helper-rsa-7923 INFO Requested revocation of denomination key X4AF4274
.Jan 28 21:54:11-379451 taler-exchange-secmod-rsa-7936 INFO Setup fresh private key RZTKD6TM in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867366'
Jan 28 21:54:11-379603 taler-exchange-secmod-rsa-7936 INFO Sending RSA denomination key RZTKD6TM (coin_1)
Jan 28 21:54:11-379636 taler-exchange-secmod-rsa-7936 INFO Revocation of denomination key X4AF4274 complete
Jan 28 21:54:11-379649 taler-exchange-secmod-rsa-7936 INFO Sending RSA denomination expiration X4AF4274
.Jan 28 21:54:11-484183 test-helper-rsa-7923 INFO Received RSA key RZTKD6TM (coin_1)
Jan 28 21:54:11-484356 test-helper-rsa-7923 INFO Key notification about key RZTKD6TM in `coin_1'
Jan 28 21:54:11-484379 test-helper-rsa-7923 INFO Received revocation of denomination key X4AF4274
Jan 28 21:54:11-484392 test-helper-rsa-7923 INFO Key notification about key X4AF4274 in `(null)'

Revoking key 64MJKA32 ...Jan 28 21:54:11-484434 test-helper-rsa-7923 INFO Requested revocation of denomination key 64MJKA32
.Jan 28 21:54:11-884705 taler-exchange-secmod-rsa-7936 INFO Setup fresh private key 26MMXA8B in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867543'
Jan 28 21:54:11-884854 taler-exchange-secmod-rsa-7936 INFO Sending RSA denomination key 26MMXA8B (coin_1)
Jan 28 21:54:11-884886 taler-exchange-secmod-rsa-7936 INFO Revocation of denomination key 64MJKA32 complete
Jan 28 21:54:11-884900 taler-exchange-secmod-rsa-7936 INFO Sending RSA denomination expiration 64MJKA32
.Jan 28 21:54:11-984879 test-helper-rsa-7923 INFO Received RSA key 26MMXA8B (coin_1)
Jan 28 21:54:11-985143 test-helper-rsa-7923 INFO Key notification about key 26MMXA8B in `coin_1'
Jan 28 21:54:11-985178 test-helper-rsa-7923 INFO Received revocation of denomination key 64MJKA32
Jan 28 21:54:11-985199 test-helper-rsa-7923 INFO Key notification about key 64MJKA32 in `(null)'

Jan 28 21:54:11-987278 test-helper-rsa-7923 INFO Requesting signature over 256 bytes with key F0AMJWS6
Jan 28 21:54:11-987397 taler-exchange-secmod-rsa-7936 INFO Received request to sign over 256 bytes with key F0AMJWS6
Jan 28 21:54:16-992514 test-helper-rsa-7923 WARNING Timeout waiting for helper
Jan 28 21:54:16-992556 test-helper-rsa-7923 ERROR Unexpected error 11
FAIL test_helper_rsa (exit status: 7)

test-suite-5.log (12,570 bytes)   

Christian Grothoff

2021-01-28 22:02

manager   ~0017436

4dd87e11..0e10a48a -- last idea I have. Let me know if that helps...

ttn

2021-01-28 22:08

developer   ~0017437

Unfortunately, still FAILs (both -eddsa and -rsa). :-(
test-suite-6.log (12,671 bytes)   
===================================================
   taler-exchange 0.8.1: src/util/test-suite.log
===================================================

# TOTAL: 6
# PASS:  4
# SKIP:  0
# XFAIL: 0
# FAIL:  2
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_helper_eddsa
=======================

Jan 28 22:04:33-600414 test-helper-eddsa-14490 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
Waiting for helper to start Jan 28 22:04:33-600580 test-helper-eddsa-14490 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
Jan 28 22:04:33-605198 taler-exchange-secmod-eddsa-14503 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611867478'
Jan 28 22:04:33-605312 taler-exchange-secmod-eddsa-14503 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611867419'
Jan 28 22:04:33-605407 taler-exchange-secmod-eddsa-14503 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611867301'
Jan 28 22:04:33-605500 taler-exchange-secmod-eddsa-14503 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611867537'
Jan 28 22:04:33-605594 taler-exchange-secmod-eddsa-14503 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611867242'
Jan 28 22:04:33-605686 taler-exchange-secmod-eddsa-14503 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611867360'
Jan 28 22:04:33-605901 taler-exchange-secmod-eddsa-14503 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611867873'
Jan 28 22:04:33-606036 taler-exchange-secmod-eddsa-14503 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611867932'
Jan 28 22:04:33-606171 taler-exchange-secmod-eddsa-14503 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611867991'
Jan 28 22:04:33-606304 taler-exchange-secmod-eddsa-14503 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611868050'
Jan 28 22:04:33-606442 taler-exchange-secmod-eddsa-14503 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611868109'
Jan 28 22:04:33-606575 taler-exchange-secmod-eddsa-14503 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611868168'
Jan 28 22:04:33-606629 taler-exchange-secmod-eddsa-14503 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611867242'
Jan 28 22:04:33-606674 taler-exchange-secmod-eddsa-14503 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611867301'
Jan 28 22:04:33-606716 taler-exchange-secmod-eddsa-14503 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611867360'
Jan 28 22:04:33-606764 taler-exchange-secmod-eddsa-14503 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611867419'
Jan 28 22:04:33-606808 taler-exchange-secmod-eddsa-14503 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611867478'
Jan 28 22:04:33-606855 taler-exchange-secmod-eddsa-14503 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611867537'
.Jan 28 22:04:33-853813 test-helper-eddsa-14490 INFO Now synchronized with EdDSA helper

OK: Helper ready (6 keys)
Revoking key ...Jan 28 22:04:33-854246 taler-exchange-secmod-eddsa-14503 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611867932'
Jan 28 22:04:33-854477 taler-exchange-secmod-eddsa-14503 INFO Revocation complete
.
Revoking key ...Jan 28 22:04:34-104576 taler-exchange-secmod-eddsa-14503 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611868109'
Jan 28 22:04:34-104705 taler-exchange-secmod-eddsa-14503 INFO Revocation complete
.
Revoking key ...Jan 28 22:04:34-355265 taler-exchange-secmod-eddsa-14503 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611868168'
Jan 28 22:04:34-355496 taler-exchange-secmod-eddsa-14503 INFO Revocation complete
.
Jan 28 22:04:34-605449 taler-exchange-secmod-eddsa-14503 INFO Received request to sign over 8 bytes, queueing as 0x7f94bde6ce90
Jan 28 22:04:39-610717 test-helper-eddsa-14490 WARNING Timeout waiting for helper
Jan 28 22:04:39-610775 test-helper-eddsa-14490 ERROR Unexpected error 11
FAIL test_helper_eddsa (exit status: 7)

FAIL: test_helper_rsa
=====================

Jan 28 22:04:39-630991 test-helper-rsa-14509 WARNING `sendto' failed on file `/tmp/ttn/test_helper_rsa/helper.unix' at crypto_helper_denom.c:170 with error: No such file or directory
Waiting for helper to start Jan 28 22:04:39-631161 test-helper-rsa-14509 WARNING `sendto' failed on file `/tmp/ttn/test_helper_rsa/helper.unix' at crypto_helper_denom.c:170 with error: No such file or directory
Jan 28 22:04:39-635706 taler-exchange-secmod-rsa-14522 INFO Loading keys for denomination coin_1
Jan 28 22:04:39-635891 taler-exchange-secmod-rsa-14522 INFO Imported key RZTKD6TM from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867366'
Jan 28 22:04:39-636010 taler-exchange-secmod-rsa-14522 INFO Imported key F0AMJWS6 from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867248'
Jan 28 22:04:39-636142 taler-exchange-secmod-rsa-14522 INFO Imported key 26MMXA8B from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867543'
Jan 28 22:04:39-636247 taler-exchange-secmod-rsa-14522 INFO Imported key DMKQNDP0 from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867484'
Jan 28 22:04:39-636363 taler-exchange-secmod-rsa-14522 INFO Imported key K2PBRG87 from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867425'
Jan 28 22:04:39-636461 taler-exchange-secmod-rsa-14522 INFO Imported key 0DCXC6R7 from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867307'
.Jan 28 22:04:39-976249 taler-exchange-secmod-rsa-14522 INFO Setup fresh private key E7RXCX1P in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867879'
Jan 28 22:04:40-285455 taler-exchange-secmod-rsa-14522 INFO Setup fresh private key 1PNZVYPA in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867938'
Jan 28 22:04:40-427061 taler-exchange-secmod-rsa-14522 INFO Setup fresh private key JFSAS636 in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867997'
Jan 28 22:04:40-505474 taler-exchange-secmod-rsa-14522 INFO Setup fresh private key DBKC24HC in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868056'
Jan 28 22:04:40-933488 taler-exchange-secmod-rsa-14522 INFO Setup fresh private key MF8C414N in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868115'
Jan 28 22:04:41-253085 taler-exchange-secmod-rsa-14522 INFO Setup fresh private key PN6635MZ in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868174'
Jan 28 22:04:41-253160 taler-exchange-secmod-rsa-14522 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867248'
Jan 28 22:04:41-253209 taler-exchange-secmod-rsa-14522 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867307'
Jan 28 22:04:41-253256 taler-exchange-secmod-rsa-14522 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867366'
Jan 28 22:04:41-253310 taler-exchange-secmod-rsa-14522 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867425'
Jan 28 22:04:41-253356 taler-exchange-secmod-rsa-14522 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867484'
Jan 28 22:04:41-253410 taler-exchange-secmod-rsa-14522 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867543'
Jan 28 22:04:41-253649 taler-exchange-secmod-rsa-14522 INFO Sending RSA denomination key E7RXCX1P (coin_1)
Jan 28 22:04:41-253729 test-helper-rsa-14509 INFO Received RSA key E7RXCX1P (coin_1)
Jan 28 22:04:41-253893 test-helper-rsa-14509 INFO Key notification about key E7RXCX1P in `coin_1'
Jan 28 22:04:41-254051 taler-exchange-secmod-rsa-14522 INFO Sending RSA denomination key 1PNZVYPA (coin_1)
Jan 28 22:04:41-254121 test-helper-rsa-14509 INFO Received RSA key 1PNZVYPA (coin_1)
Jan 28 22:04:41-254269 test-helper-rsa-14509 INFO Key notification about key 1PNZVYPA in `coin_1'
Jan 28 22:04:41-254399 taler-exchange-secmod-rsa-14522 INFO Sending RSA denomination key JFSAS636 (coin_1)
Jan 28 22:04:41-254463 test-helper-rsa-14509 INFO Received RSA key JFSAS636 (coin_1)
Jan 28 22:04:41-254611 test-helper-rsa-14509 INFO Key notification about key JFSAS636 in `coin_1'
Jan 28 22:04:41-254741 taler-exchange-secmod-rsa-14522 INFO Sending RSA denomination key DBKC24HC (coin_1)
Jan 28 22:04:41-254817 test-helper-rsa-14509 INFO Received RSA key DBKC24HC (coin_1)
Jan 28 22:04:41-254989 test-helper-rsa-14509 INFO Key notification about key DBKC24HC in `coin_1'
Jan 28 22:04:41-255133 taler-exchange-secmod-rsa-14522 INFO Sending RSA denomination key MF8C414N (coin_1)
Jan 28 22:04:41-255181 test-helper-rsa-14509 INFO Received RSA key MF8C414N (coin_1)
Jan 28 22:04:41-255326 test-helper-rsa-14509 INFO Key notification about key MF8C414N in `coin_1'
Jan 28 22:04:41-255453 taler-exchange-secmod-rsa-14522 INFO Sending RSA denomination key PN6635MZ (coin_1)
Jan 28 22:04:41-255503 test-helper-rsa-14509 INFO Received RSA key PN6635MZ (coin_1)
Jan 28 22:04:41-255648 test-helper-rsa-14509 INFO Key notification about key PN6635MZ in `coin_1'
Jan 28 22:04:41-255673 taler-exchange-secmod-rsa-14522 INFO Sending RSA SYNCED message
Jan 28 22:04:41-255700 test-helper-rsa-14509 INFO Now synchronized with RSA helper

OK: Helper ready (6 keys)
Revoking key 1PNZVYPA ...Jan 28 22:04:41-255732 test-helper-rsa-14509 INFO Requested revocation of denomination key 1PNZVYPA
Jan 28 22:04:41-459213 taler-exchange-secmod-rsa-14522 INFO Setup fresh private key TPA3YPPB in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611867938'
Jan 28 22:04:41-459343 taler-exchange-secmod-rsa-14522 INFO Sending RSA denomination key TPA3YPPB (coin_1)
Jan 28 22:04:41-459369 taler-exchange-secmod-rsa-14522 INFO Revocation of denomination key 1PNZVYPA complete
Jan 28 22:04:41-459382 taler-exchange-secmod-rsa-14522 INFO Sending RSA denomination expiration 1PNZVYPA
.Jan 28 22:04:41-506003 test-helper-rsa-14509 INFO Received RSA key TPA3YPPB (coin_1)
Jan 28 22:04:41-506288 test-helper-rsa-14509 INFO Key notification about key TPA3YPPB in `coin_1'
Jan 28 22:04:41-506326 test-helper-rsa-14509 INFO Received revocation of denomination key 1PNZVYPA
Jan 28 22:04:41-506352 test-helper-rsa-14509 INFO Key notification about key 1PNZVYPA in `(null)'

Revoking key MF8C414N ...Jan 28 22:04:41-506409 test-helper-rsa-14509 INFO Requested revocation of denomination key MF8C414N
.Jan 28 22:04:41-805147 taler-exchange-secmod-rsa-14522 INFO Setup fresh private key V6S0V0N8 in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868115'
Jan 28 22:04:41-805295 taler-exchange-secmod-rsa-14522 INFO Sending RSA denomination key V6S0V0N8 (coin_1)
Jan 28 22:04:41-805326 taler-exchange-secmod-rsa-14522 INFO Revocation of denomination key MF8C414N complete
Jan 28 22:04:41-805340 taler-exchange-secmod-rsa-14522 INFO Sending RSA denomination expiration MF8C414N
.Jan 28 22:04:42-006955 test-helper-rsa-14509 INFO Received RSA key V6S0V0N8 (coin_1)
Jan 28 22:04:42-007259 test-helper-rsa-14509 INFO Key notification about key V6S0V0N8 in `coin_1'
Jan 28 22:04:42-007338 test-helper-rsa-14509 INFO Received revocation of denomination key MF8C414N
Jan 28 22:04:42-007369 test-helper-rsa-14509 INFO Key notification about key MF8C414N in `(null)'

Revoking key DBKC24HC ...Jan 28 22:04:42-007435 test-helper-rsa-14509 INFO Requested revocation of denomination key DBKC24HC
Jan 28 22:04:42-089541 taler-exchange-secmod-rsa-14522 INFO Setup fresh private key C9EHM50J in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868056'
Jan 28 22:04:42-089678 taler-exchange-secmod-rsa-14522 INFO Sending RSA denomination key C9EHM50J (coin_1)
Jan 28 22:04:42-089704 taler-exchange-secmod-rsa-14522 INFO Revocation of denomination key DBKC24HC complete
Jan 28 22:04:42-089718 taler-exchange-secmod-rsa-14522 INFO Sending RSA denomination expiration DBKC24HC
.Jan 28 22:04:42-257726 test-helper-rsa-14509 INFO Received RSA key C9EHM50J (coin_1)
Jan 28 22:04:42-257876 test-helper-rsa-14509 INFO Key notification about key C9EHM50J in `coin_1'
Jan 28 22:04:42-257897 test-helper-rsa-14509 INFO Received revocation of denomination key DBKC24HC
Jan 28 22:04:42-257910 test-helper-rsa-14509 INFO Key notification about key DBKC24HC in `(null)'

Jan 28 22:04:42-259204 test-helper-rsa-14509 INFO Requesting signature over 256 bytes with key E7RXCX1P
Jan 28 22:04:42-259249 taler-exchange-secmod-rsa-14522 INFO Received request to sign over 256 bytes with key E7RXCX1P
Jan 28 22:04:47-264549 test-helper-rsa-14509 WARNING Timeout waiting for helper
Jan 28 22:04:47-264625 test-helper-rsa-14509 ERROR Unexpected error 11
FAIL test_helper_rsa (exit status: 7)

test-suite-6.log (12,671 bytes)   

Christian Grothoff

2021-01-28 22:37

manager   ~0017439

Hmm. I'm starting to wonder if your OS tells us you have _zero_ CPUs. Let's try: 0e10a48a..7d0d8d9f

ttn

2021-01-28 22:57

developer   ~0017440

test-suite-7.log (12,673 bytes)   
===================================================
   taler-exchange 0.8.1: src/util/test-suite.log
===================================================

# TOTAL: 6
# PASS:  4
# SKIP:  0
# XFAIL: 0
# FAIL:  2
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_helper_eddsa
=======================

Jan 28 22:53:54-611419 test-helper-eddsa-27521 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
Waiting for helper to start Jan 28 22:53:54-611584 test-helper-eddsa-27521 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
Jan 28 22:53:54-616120 taler-exchange-secmod-eddsa-27534 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611868600'
Jan 28 22:53:54-616231 taler-exchange-secmod-eddsa-27534 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611868364'
Jan 28 22:53:54-616327 taler-exchange-secmod-eddsa-27534 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611868423'
Jan 28 22:53:54-616416 taler-exchange-secmod-eddsa-27534 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611868659'
Jan 28 22:53:54-616502 taler-exchange-secmod-eddsa-27534 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611868541'
Jan 28 22:53:54-616593 taler-exchange-secmod-eddsa-27534 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611868482'
Jan 28 22:53:54-616813 taler-exchange-secmod-eddsa-27534 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611870834'
Jan 28 22:53:54-616949 taler-exchange-secmod-eddsa-27534 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611870893'
Jan 28 22:53:54-617124 taler-exchange-secmod-eddsa-27534 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611870952'
Jan 28 22:53:54-617259 taler-exchange-secmod-eddsa-27534 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611871011'
Jan 28 22:53:54-617393 taler-exchange-secmod-eddsa-27534 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611871070'
Jan 28 22:53:54-617526 taler-exchange-secmod-eddsa-27534 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611871129'
Jan 28 22:53:54-617581 taler-exchange-secmod-eddsa-27534 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611868364'
Jan 28 22:53:54-617626 taler-exchange-secmod-eddsa-27534 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611868423'
Jan 28 22:53:54-617669 taler-exchange-secmod-eddsa-27534 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611868482'
Jan 28 22:53:54-617784 taler-exchange-secmod-eddsa-27534 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611868541'
Jan 28 22:53:54-617834 taler-exchange-secmod-eddsa-27534 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611868600'
Jan 28 22:53:54-617906 taler-exchange-secmod-eddsa-27534 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611868659'
.Jan 28 22:53:54-864885 test-helper-eddsa-27521 INFO Now synchronized with EdDSA helper

OK: Helper ready (6 keys)
Revoking key ...Jan 28 22:53:54-865248 taler-exchange-secmod-eddsa-27534 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611871011'
Jan 28 22:53:54-865469 taler-exchange-secmod-eddsa-27534 INFO Revocation complete
.
Revoking key ...Jan 28 22:53:55-115767 taler-exchange-secmod-eddsa-27534 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611870834'
Jan 28 22:53:55-115989 taler-exchange-secmod-eddsa-27534 INFO Revocation complete
.
Revoking key ...Jan 28 22:53:55-366294 taler-exchange-secmod-eddsa-27534 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611870893'
Jan 28 22:53:55-366516 taler-exchange-secmod-eddsa-27534 INFO Revocation complete
.
Jan 28 22:53:55-616480 taler-exchange-secmod-eddsa-27534 INFO Received request to sign over 8 bytes, queueing as 0x7f23ecd37e90
Jan 28 22:54:00-621978 test-helper-eddsa-27521 WARNING Timeout waiting for helper
Jan 28 22:54:00-622036 test-helper-eddsa-27521 ERROR Unexpected error 11
FAIL test_helper_eddsa (exit status: 7)

FAIL: test_helper_rsa
=====================

Jan 28 22:54:00-641439 test-helper-rsa-27540 WARNING `sendto' failed on file `/tmp/ttn/test_helper_rsa/helper.unix' at crypto_helper_denom.c:170 with error: No such file or directory
Waiting for helper to start Jan 28 22:54:00-641710 test-helper-rsa-27540 WARNING `sendto' failed on file `/tmp/ttn/test_helper_rsa/helper.unix' at crypto_helper_denom.c:170 with error: No such file or directory
Jan 28 22:54:00-646097 taler-exchange-secmod-rsa-27553 INFO Loading keys for denomination coin_1
Jan 28 22:54:00-646285 taler-exchange-secmod-rsa-27553 INFO Imported key PVA6YTA9 from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868665'
Jan 28 22:54:00-646405 taler-exchange-secmod-rsa-27553 INFO Imported key NTFG15A5 from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868488'
Jan 28 22:54:00-646538 taler-exchange-secmod-rsa-27553 INFO Imported key EPBQQQYT from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868606'
Jan 28 22:54:00-646645 taler-exchange-secmod-rsa-27553 INFO Imported key 0HW2TVE2 from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868547'
Jan 28 22:54:00-646761 taler-exchange-secmod-rsa-27553 INFO Imported key 4JWHP2TD from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868429'
Jan 28 22:54:00-646866 taler-exchange-secmod-rsa-27553 INFO Imported key CA71W4JF from `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868370'
Jan 28 22:54:00-755770 taler-exchange-secmod-rsa-27553 INFO Setup fresh private key 3HAD0WSR in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611870840'
.Jan 28 22:54:00-915867 taler-exchange-secmod-rsa-27553 INFO Setup fresh private key R3H50XAC in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611870899'
Jan 28 22:54:01-088554 taler-exchange-secmod-rsa-27553 INFO Setup fresh private key NY51ERC6 in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611870958'
Jan 28 22:54:01-227077 taler-exchange-secmod-rsa-27553 INFO Setup fresh private key 5HNN6CAQ in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611871017'
Jan 28 22:54:01-366495 taler-exchange-secmod-rsa-27553 INFO Setup fresh private key Y47Y5BVD in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611871076'
Jan 28 22:54:01-728964 taler-exchange-secmod-rsa-27553 INFO Setup fresh private key 33YV883B in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611871135'
Jan 28 22:54:01-729060 taler-exchange-secmod-rsa-27553 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868370'
Jan 28 22:54:01-729111 taler-exchange-secmod-rsa-27553 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868429'
Jan 28 22:54:01-729162 taler-exchange-secmod-rsa-27553 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868488'
Jan 28 22:54:01-729210 taler-exchange-secmod-rsa-27553 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868547'
Jan 28 22:54:01-729264 taler-exchange-secmod-rsa-27553 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868606'
Jan 28 22:54:01-729314 taler-exchange-secmod-rsa-27553 INFO Purged expired private key `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611868665'
Jan 28 22:54:01-729560 taler-exchange-secmod-rsa-27553 INFO Sending RSA denomination key 3HAD0WSR (coin_1)
Jan 28 22:54:01-729646 test-helper-rsa-27540 INFO Received RSA key 3HAD0WSR (coin_1)
Jan 28 22:54:01-729811 test-helper-rsa-27540 INFO Key notification about key 3HAD0WSR in `coin_1'
Jan 28 22:54:01-729943 taler-exchange-secmod-rsa-27553 INFO Sending RSA denomination key R3H50XAC (coin_1)
Jan 28 22:54:01-730009 test-helper-rsa-27540 INFO Received RSA key R3H50XAC (coin_1)
Jan 28 22:54:01-730158 test-helper-rsa-27540 INFO Key notification about key R3H50XAC in `coin_1'
Jan 28 22:54:01-730287 taler-exchange-secmod-rsa-27553 INFO Sending RSA denomination key NY51ERC6 (coin_1)
Jan 28 22:54:01-730377 test-helper-rsa-27540 INFO Received RSA key NY51ERC6 (coin_1)
Jan 28 22:54:01-730526 test-helper-rsa-27540 INFO Key notification about key NY51ERC6 in `coin_1'
Jan 28 22:54:01-730656 taler-exchange-secmod-rsa-27553 INFO Sending RSA denomination key 5HNN6CAQ (coin_1)
Jan 28 22:54:01-730720 test-helper-rsa-27540 INFO Received RSA key 5HNN6CAQ (coin_1)
Jan 28 22:54:01-730875 test-helper-rsa-27540 INFO Key notification about key 5HNN6CAQ in `coin_1'
Jan 28 22:54:01-731014 taler-exchange-secmod-rsa-27553 INFO Sending RSA denomination key Y47Y5BVD (coin_1)
Jan 28 22:54:01-731062 test-helper-rsa-27540 INFO Received RSA key Y47Y5BVD (coin_1)
Jan 28 22:54:01-731207 test-helper-rsa-27540 INFO Key notification about key Y47Y5BVD in `coin_1'
Jan 28 22:54:01-731335 taler-exchange-secmod-rsa-27553 INFO Sending RSA denomination key 33YV883B (coin_1)
Jan 28 22:54:01-731384 test-helper-rsa-27540 INFO Received RSA key 33YV883B (coin_1)
Jan 28 22:54:01-731529 test-helper-rsa-27540 INFO Key notification about key 33YV883B in `coin_1'
Jan 28 22:54:01-731553 taler-exchange-secmod-rsa-27553 INFO Sending RSA SYNCED message
Jan 28 22:54:01-731581 test-helper-rsa-27540 INFO Now synchronized with RSA helper

OK: Helper ready (6 keys)
Revoking key NY51ERC6 ...Jan 28 22:54:01-731612 test-helper-rsa-27540 INFO Requested revocation of denomination key NY51ERC6
.Jan 28 22:54:01-981764 taler-exchange-secmod-rsa-27553 INFO Setup fresh private key ZY6FQCV0 in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611870958'
Jan 28 22:54:01-981908 taler-exchange-secmod-rsa-27553 INFO Sending RSA denomination key ZY6FQCV0 (coin_1)
Jan 28 22:54:01-981938 taler-exchange-secmod-rsa-27553 INFO Revocation of denomination key NY51ERC6 complete
Jan 28 22:54:01-981952 taler-exchange-secmod-rsa-27553 INFO Sending RSA denomination expiration NY51ERC6
.Jan 28 22:54:02-232005 test-helper-rsa-27540 INFO Received RSA key ZY6FQCV0 (coin_1)
Jan 28 22:54:02-232189 test-helper-rsa-27540 INFO Key notification about key ZY6FQCV0 in `coin_1'
Jan 28 22:54:02-232214 test-helper-rsa-27540 INFO Received revocation of denomination key NY51ERC6
Jan 28 22:54:02-232230 test-helper-rsa-27540 INFO Key notification about key NY51ERC6 in `(null)'

Revoking key ZY6FQCV0 ...Jan 28 22:54:02-232267 test-helper-rsa-27540 INFO Requested revocation of denomination key ZY6FQCV0
.Jan 28 22:54:02-526352 taler-exchange-secmod-rsa-27553 INFO Setup fresh private key DSA6MYMS in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611870958'
Jan 28 22:54:02-526493 taler-exchange-secmod-rsa-27553 INFO Sending RSA denomination key DSA6MYMS (coin_1)
Jan 28 22:54:02-526524 taler-exchange-secmod-rsa-27553 INFO Revocation of denomination key ZY6FQCV0 complete
Jan 28 22:54:02-526537 taler-exchange-secmod-rsa-27553 INFO Sending RSA denomination expiration ZY6FQCV0
.Jan 28 22:54:02-732729 test-helper-rsa-27540 INFO Received RSA key DSA6MYMS (coin_1)
Jan 28 22:54:02-733032 test-helper-rsa-27540 INFO Key notification about key DSA6MYMS in `coin_1'
Jan 28 22:54:02-733072 test-helper-rsa-27540 INFO Received revocation of denomination key ZY6FQCV0
Jan 28 22:54:02-733097 test-helper-rsa-27540 INFO Key notification about key ZY6FQCV0 in `(null)'

Revoking key 5HNN6CAQ ...Jan 28 22:54:02-733161 test-helper-rsa-27540 INFO Requested revocation of denomination key 5HNN6CAQ
.Jan 28 22:54:03-118836 taler-exchange-secmod-rsa-27553 INFO Setup fresh private key VGNNRHBD in `/tmp/ttn/test_helper_rsa//keydir//coin_1/1611871017'
Jan 28 22:54:03-118985 taler-exchange-secmod-rsa-27553 INFO Sending RSA denomination key VGNNRHBD (coin_1)
Jan 28 22:54:03-119017 taler-exchange-secmod-rsa-27553 INFO Revocation of denomination key 5HNN6CAQ complete
Jan 28 22:54:03-119030 taler-exchange-secmod-rsa-27553 INFO Sending RSA denomination expiration 5HNN6CAQ
.Jan 28 22:54:03-233613 test-helper-rsa-27540 INFO Received RSA key VGNNRHBD (coin_1)
Jan 28 22:54:03-233787 test-helper-rsa-27540 INFO Key notification about key VGNNRHBD in `coin_1'
Jan 28 22:54:03-233814 test-helper-rsa-27540 INFO Received revocation of denomination key 5HNN6CAQ
Jan 28 22:54:03-233827 test-helper-rsa-27540 INFO Key notification about key 5HNN6CAQ in `(null)'

Jan 28 22:54:03-235259 test-helper-rsa-27540 INFO Requesting signature over 256 bytes with key 3HAD0WSR
Jan 28 22:54:03-235306 taler-exchange-secmod-rsa-27553 INFO Received request to sign over 256 bytes with key 3HAD0WSR
Jan 28 22:54:08-240616 test-helper-rsa-27540 WARNING Timeout waiting for helper
Jan 28 22:54:08-240693 test-helper-rsa-27540 ERROR Unexpected error 11
FAIL test_helper_rsa (exit status: 7)

test-suite-7.log (12,673 bytes)   

Christian Grothoff

2021-01-28 23:35

manager   ~0017441

This is very strange. Can you please (1) bump the timeout (find the constant "5," in the code for the 5s timeout) to some high value, so you have time to (2) attach gdb to the helper process and find out what its (worker) threads are doing (backtrace)? I mean, I even added a LOG statement that every worker should definitively run into, and it's not in your log! Did you recompile properly?

ttn

2021-01-29 02:44

developer   ~0017442

For (1), i initially chose 55, but that hung completely, so i backed it down to 15.
During that time, i was able to obtain a backtrace for the main thread (thread 1) only.
I was not able to find any other threads.

Note that the test-suite-7.log shows only one test, since i did "make check TESTS=test_helper_eddsa".
test-suite-7-2.log (3,862 bytes)   
===================================================
   taler-exchange 0.8.1: src/util/test-suite.log
===================================================

# TOTAL: 1
# PASS:  0
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_helper_eddsa
=======================

Jan 29 02:37:08-166117 test-helper-eddsa-18136 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
Waiting for helper to start Jan 29 02:37:08-166296 test-helper-eddsa-18136 WARNING `sendto' failed on file `/tmp/ttn/test_helper_eddsa/helper.unix' at crypto_helper_esign.c:171 with error: No such file or directory
Jan 29 02:37:08-170792 taler-exchange-secmod-eddsa-18149 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611884128'
Jan 29 02:37:08-170903 taler-exchange-secmod-eddsa-18149 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611884305'
Jan 29 02:37:08-170993 taler-exchange-secmod-eddsa-18149 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611884246'
Jan 29 02:37:08-171079 taler-exchange-secmod-eddsa-18149 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611884069'
Jan 29 02:37:08-171165 taler-exchange-secmod-eddsa-18149 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611884364'
Jan 29 02:37:08-171248 taler-exchange-secmod-eddsa-18149 INFO Imported key from `/tmp/ttn/test_helper_eddsa/keydir/1611884187'
Jan 29 02:37:08-171457 taler-exchange-secmod-eddsa-18149 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611884423'
Jan 29 02:37:08-171600 taler-exchange-secmod-eddsa-18149 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611884482'
Jan 29 02:37:08-171656 taler-exchange-secmod-eddsa-18149 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611884069'
Jan 29 02:37:08-171701 taler-exchange-secmod-eddsa-18149 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir/1611884128'
.Jan 29 02:37:08-419399 test-helper-eddsa-18136 INFO Now synchronized with EdDSA helper

OK: Helper ready (6 keys)
Revoking key ...Jan 29 02:37:08-419759 taler-exchange-secmod-eddsa-18149 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611884482'
Jan 29 02:37:08-419986 taler-exchange-secmod-eddsa-18149 INFO Revocation complete
.
Revoking key ...Jan 29 02:37:08-670395 taler-exchange-secmod-eddsa-18149 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611884187'
Jan 29 02:37:08-670623 taler-exchange-secmod-eddsa-18149 INFO Revocation complete
.
Revoking key ...Jan 29 02:37:08-920875 taler-exchange-secmod-eddsa-18149 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611884482'
Jan 29 02:37:08-921097 taler-exchange-secmod-eddsa-18149 INFO Revocation complete
.
Jan 29 02:37:09-171008 taler-exchange-secmod-eddsa-18149 INFO Received request to sign over 8 bytes, queueing as 0x7f0214b60e90
Jan 29 02:37:24-186270 test-helper-eddsa-18136 WARNING Timeout waiting for helper
Jan 29 02:37:24-186327 test-helper-eddsa-18136 ERROR Unexpected error 11
Jan 29 02:37:29-075846 taler-exchange-secmod-eddsa-18149 INFO Setup fresh private key in `/tmp/ttn/test_helper_eddsa/keydir//1611884541'
Jan 29 02:37:29-076089 taler-exchange-secmod-eddsa-18149 WARNING `sendto' failed at taler-exchange-secmod-eddsa.c:486 with error: No such file or directory
Jan 29 02:37:29-076117 taler-exchange-secmod-eddsa-18149 INFO Client /tmp/ttn/test_helper_eddsa//crypto-eddsa-client/cliJfboeO must have disconnected
Jan 29 02:37:29-076141 taler-exchange-secmod-eddsa-18149 INFO Failed to notify client about new key, client dropped
Jan 29 02:37:29-076219 taler-exchange-secmod-eddsa-18149 INFO Purged expired private key `/tmp/ttn/test_helper_eddsa/keydir//1611884187'
FAIL test_helper_eddsa (exit status: 7)

test-suite-7-2.log (3,862 bytes)   
bt5 (1,906 bytes)   
(gdb) bt
#0  __cp_end () at src/thread/x86_64/syscall_cp.s:29
#1  0x00007f1e41c7866c in __syscall_cp_c (nr=23, u=<optimized out>,
    v=<optimized out>, w=<optimized out>, x=<optimized out>,
    y=<optimized out>, z=0) at src/thread/pthread_cancel.c:33
#2  0x00007f1e41c6c305 in select (n=n@entry=8, rfds=rfds@entry=0x7f1e414d2768,
    wfds=wfds@entry=0x558bc3140428, efds=efds@entry=0x0, tv=<optimized out>)
    at src/select/select.c:38
#3  0x00007f1e41bceec6 in GNUNET_NETWORK_socket_select (
    rfds=rfds@entry=0x7f1e414d2760, wfds=wfds@entry=0x558bc3140420,
    efds=efds@entry=0x0, timeout=...) at network.c:1379
#4  0x00007f1e41bdf478 in select_loop (context=0x7fff34213a30,
    sh=0x7f1e41a0e580) at scheduler.c:2352
#5  GNUNET_SCHEDULER_run (task=task@entry=0x7f1e41bd5460 <program_main>,
    task_cls=task_cls@entry=0x7fff34213af0) at scheduler.c:738
#6  0x00007f1e41bd5bef in GNUNET_PROGRAM_run2 (argc=<optimized out>,
    argv=0x7fff34213e88, binaryName=<optimized out>,
    binaryHelp=<optimized out>, options=<optimized out>, task=<optimized out>,
    task_cls=<optimized out>, run_without_scheduler=<optimized out>)
    at program.c:344
#7  0x00007f1e41bd615f in GNUNET_PROGRAM_run (argc=argc@entry=5,
    argv=argv@entry=0x7fff34213e88,
    binaryName=binaryName@entry=0x558bc313d0ab "taler-exchange-secmod-rsa",
    binaryHelp=binaryHelp@entry=0x558bc313d820 "Handle private RSA key operation
s for a Taler exchange", options=options@entry=0x7fff34213d00,
    task=task@entry=0x558bc3139c50 <run>, task_cls=0x0) at program.c:371
#8  0x0000558bc313683c in main (argc=5, argv=0x7fff34213e88)
    at taler-exchange-secmod-rsa.c:2072
(gdb) t 2
Unknown thread 2.
(gdb) c
Continuing.

Program received signal SIGTERM, Terminated.
__cp_end () at src/thread/x86_64/syscall_cp.s:29
29      in src/thread/x86_64/syscall_cp.s
(gdb) c
Continuing.
[Inferior 1 (process 18063) exited normally]
(gdb) q
bt5 (1,906 bytes)   

Christian Grothoff

2021-01-29 10:01

manager   ~0017443

Ok, 7d0d8d9f..fee5d3b7 should really do it ;-).

Issue History

Date Modified Username Field Change
2021-01-26 21:41 ttn New Issue
2021-01-26 21:41 ttn Status new => assigned
2021-01-26 21:41 ttn Assigned To => Christian Grothoff
2021-01-26 21:41 ttn File Added: test_helper_eddsa.log
2021-01-26 21:52 Christian Grothoff Note Added: 0017402
2021-01-26 22:13 ttn Note Added: 0017403
2021-01-26 22:13 ttn File Added: log.gz
2021-01-27 09:50 Christian Grothoff Note Added: 0017405
2021-01-27 11:57 ttn Note Added: 0017406
2021-01-27 11:57 ttn File Added: log-2.gz
2021-01-27 12:42 Christian Grothoff Note Added: 0017408
2021-01-27 13:08 ttn Note Added: 0017409
2021-01-27 13:08 ttn File Added: bt
2021-01-27 13:20 Christian Grothoff Note Added: 0017410
2021-01-27 14:45 ttn Note Added: 0017414
2021-01-27 14:45 ttn File Added: bt2
2021-01-27 14:45 ttn File Added: test-suite.log
2021-01-27 14:47 ttn Note Added: 0017415
2021-01-27 14:49 Christian Grothoff Note Added: 0017416
2021-01-27 15:29 ttn Note Added: 0017418
2021-01-27 15:29 ttn File Added: bt3
2021-01-27 18:58 Christian Grothoff Note Added: 0017420
2021-01-27 18:58 Christian Grothoff Status assigned => resolved
2021-01-27 18:58 Christian Grothoff Resolution open => fixed
2021-01-27 18:58 Christian Grothoff Fixed in Version => 0.9
2021-01-27 18:59 Christian Grothoff Severity minor => major
2021-01-27 18:59 Christian Grothoff Target Version => 0.9
2021-01-28 07:03 ttn Status resolved => feedback
2021-01-28 07:03 ttn Resolution fixed => reopened
2021-01-28 07:03 ttn Note Added: 0017421
2021-01-28 07:07 ttn Note Added: 0017422
2021-01-28 07:07 ttn File Added: test-suite-2.log
2021-01-28 07:07 ttn Status feedback => assigned
2021-01-28 09:45 Christian Grothoff Note Added: 0017423
2021-01-28 10:00 ttn Note Added: 0017424
2021-01-28 10:00 ttn File Added: strace.log.gz
2021-01-28 10:21 Christian Grothoff Note Added: 0017425
2021-01-28 10:23 Christian Grothoff Note Added: 0017426
2021-01-28 18:49 ttn Note Added: 0017427
2021-01-28 19:22 Christian Grothoff Note Added: 0017428
2021-01-28 19:49 ttn Note Added: 0017429
2021-01-28 19:49 ttn File Added: bt4
2021-01-28 20:20 Christian Grothoff Note Added: 0017430
2021-01-28 21:08 ttn Note Added: 0017431
2021-01-28 21:08 ttn File Added: test-suite-3.log
2021-01-28 21:24 Christian Grothoff Note Added: 0017432
2021-01-28 21:33 ttn Note Added: 0017433
2021-01-28 21:33 ttn File Added: test-suite-4.log
2021-01-28 21:47 Christian Grothoff Note Added: 0017434
2021-01-28 21:56 ttn Note Added: 0017435
2021-01-28 21:56 ttn File Added: test-suite-5.log
2021-01-28 22:02 Christian Grothoff Note Added: 0017436
2021-01-28 22:08 ttn Note Added: 0017437
2021-01-28 22:08 ttn File Added: test-suite-6.log
2021-01-28 22:37 Christian Grothoff Note Added: 0017439
2021-01-28 22:57 ttn Note Added: 0017440
2021-01-28 22:57 ttn File Added: test-suite-7.log
2021-01-28 23:35 Christian Grothoff Note Added: 0017441
2021-01-29 02:44 ttn Note Added: 0017442
2021-01-29 02:44 ttn File Added: test-suite-7-2.log
2021-01-29 02:44 ttn File Added: bt5
2021-01-29 10:01 Christian Grothoff Note Added: 0017443
2021-01-29 10:01 Christian Grothoff Status assigned => resolved